summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorTyler Port2017-07-15 23:11:17 -0700
committerTyler Port2017-07-15 23:11:17 -0700
commita969f6d19c4a7fe689524a7e0f441e1f37b8ed11 (patch)
treecab5c8ab5f7050aa1e65af781ca1d59e16f05707
parentb6ee9194db2c78ba247363b0e9fcb757e8d23121 (diff)
downloadaur-a969f6d19c4a7fe689524a7e0f441e1f37b8ed11.tar.gz
provides svn versions of llvm
-rw-r--r--.SRCINFO49
-rw-r--r--PKGBUILD21
2 files changed, 40 insertions, 30 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 76561faeb74..23a349a8101 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
# Generated by mksrcinfo v8
-# Sat Jul 15 03:06:38 UTC 2017
+# Sun Jul 16 06:10:57 UTC 2017
pkgbase = llvm-polly-svn
- pkgver = 5.0.0svn_r308070
+ pkgver = 5.0.0svn_r308112
pkgrel = 1
url = http://llvm.org/
arch = i686
@@ -38,8 +38,9 @@ pkgbase = llvm-polly-svn
pkgname = llvm-polly-svn
pkgdesc = The LLVM Compiler Infrastructure
groups = llvm-toolchain-polly-svn
- depends = llvm-libs-polly-svn=5.0.0svn_r308070-1
- provides = llvm
+ depends = llvm-libs-polly-svn=5.0.0svn_r308112-1
+ provides = llvm,
+ provides = llvm-svn
conflicts = llvm,
conflicts = llvm-svn
@@ -48,24 +49,27 @@ pkgname = llvm-libs-polly-svn
groups = llvm-toolchain-polly-svn
depends = libffi
depends = zlib
- provides = llvm-libs
+ provides = llvm-libs,
+ provides = llvm-libs-svn
conflicts = llvm-libs,
conflicts = llvm-libs-svn
pkgname = llvm-ocaml-polly-svn
pkgdesc = OCaml bindings for LLVM
- depends = llvm-polly-svn=5.0.0svn_r308070-1
- depends = ocaml=4.04.1
+ depends = llvm-polly-svn=5.0.0svn_r308112-1
+ depends = ocaml=4.05.0
depends = ocaml-ctypes
- provides = llvm-ocaml
+ provides = llvm-ocaml,
+ provides = llvm-ocaml-svn
conflicts = llvm-ocaml,
conflicts = llvm-ocaml-svn
pkgname = lld-polly-svn
pkgdesc = A linker from the LLVM project
groups = llvm-toolchain-polly-svn
- depends = llvm-libs-polly-svn=5.0.0svn_r308070-1
- provides = lld
+ depends = llvm-libs-polly-svn=5.0.0svn_r308112-1
+ provides = lld,
+ provides = lld-svn
conflicts = lld,
conflicts = lld-svn
@@ -73,22 +77,25 @@ pkgname = lldb-polly-svn
pkgdesc = Next generation, high-performance debugger
url = http://lldb.llvm.org/
groups = llvm-toolchain-polly-svn
- depends = llvm-libs-polly-svn=5.0.0svn_r308070-1
+ depends = llvm-libs-polly-svn=5.0.0svn_r308112-1
depends = libedit
depends = libxml2
depends = python2
- provides = lldb
- conflicts = lldb
+ provides = lldb,
+ provides = lldb-svn
+ conflicts = lldb,
+ conflicts = lldb-svn
pkgname = clang-polly-svn
pkgdesc = C language family frontend for LLVM
url = http://clang.llvm.org/
groups = llvm-toolchain-polly-svn
- depends = llvm-polly-svn=5.0.0svn_r308070-1
+ depends = llvm-polly-svn=5.0.0svn_r308112-1
optdepends = clang-compiler-rt-polly-svn: sanitizer runtimes, builtins, profile library and BlocksRuntime with polly
optdepends = clang-tools-extra-polly-svn: standalone tools: syntax checking, formatting, refactoring, etc. with polly
optdepends = python2: git-clang-format and clang-format-diff.py support
- provides = clang
+ provides = clang,
+ provides = clang-svn
conflicts = clang,
conflicts = clang-svn
@@ -96,7 +103,7 @@ pkgname = clang-analyzer-polly-svn
pkgdesc = Source code analysis tool for Clang, supporting C, C++, and Objective-C
url = http://clang-analyzer.llvm.org/
groups = llvm-toolchain-polly-svn
- depends = clang-polly-svn=5.0.0svn_r308070-1
+ depends = clang-polly-svn=5.0.0svn_r308112-1
depends = perl
depends = python2
provides = clang-analyzer
@@ -106,8 +113,9 @@ pkgname = clang-compiler-rt-polly-svn
pkgdesc = The "compiler-rt" set of runtime libraries for Clang and LLVM
url = http://compiler-rt.llvm.org/
groups = llvm-toolchain-polly-svn
- depends = clang-polly-svn=5.0.0svn_r308070-1
- provides = clang-compiler-rt
+ depends = clang-polly-svn=5.0.0svn_r308112-1
+ provides = clang-compiler-rt,
+ provides = clang-compiler-rt-svn
conflicts = clang-compiler-rt,
conflicts = clang-compiler-rt-svn
@@ -115,8 +123,9 @@ pkgname = clang-tools-extra-polly-svn
pkgdesc = Standalone tools for Clang: syntax checking, formatting, refactoring, etc.
url = http://clang.llvm.org/docs/ClangTools.html
groups = llvm-toolchain-polly-svn
- depends = clang-polly-svn=5.0.0svn_r308070-1
- provides = clang-tools-extra
+ depends = clang-polly-svn=5.0.0svn_r308112-1
+ provides = clang-tools-extra,
+ provides = clang-tools-extra-svn
conflicts = clang-tools-extra,
conflicts = clang-tools-extra-svn
diff --git a/PKGBUILD b/PKGBUILD
index d18709caf83..0fc48cce4a3 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -25,7 +25,7 @@ pkgname=(
)
_pkgname='llvm'
-pkgver=5.0.0svn_r308070
+pkgver=5.0.0svn_r308112
pkgver() {
cd "$pkgname"
@@ -238,6 +238,7 @@ build() {
-DCMAKE_RANLIB="/usr/bin/llvm-ranlib" \
-DCMAKE_AR="/usr/bin/llvm-ar" \
-DPOLLY_ENABLE_GPGPU_CODEGEN:BOOL=ON \
+ -DLINK_POLLY_INTO_TOOLS:BOOL=ON \
"../${_pkgname}"
#ninja
@@ -268,7 +269,7 @@ package_llvm-polly-svn() {
"llvm-libs-polly-svn=${pkgver}-${pkgrel}"
)
groups=('llvm-toolchain-polly-svn')
- provides=('llvm')
+ provides=('llvm', 'llvm-svn')
conflicts=('llvm', 'llvm-svn')
cd "${srcdir}/build"
@@ -315,8 +316,8 @@ package_lldb-polly-svn() {
'python2'
)
groups=('llvm-toolchain-polly-svn')
- provides=('lldb')
- conflicts=('lldb')
+ provides=('lldb', 'lldb-svn')
+ conflicts=('lldb', 'lldb-svn')
#cd "${srcdir}/build"
cd "${srcdir}/build/tools/lldb"
@@ -341,7 +342,7 @@ package_llvm-libs-polly-svn() {
'zlib'
)
groups=('llvm-toolchain-polly-svn')
- provides=('llvm-libs')
+ provides=('llvm-libs', 'llvm-libs-svn')
conflicts=('llvm-libs', 'llvm-libs-svn')
cd "${srcdir}/build"
@@ -377,7 +378,7 @@ package_llvm-ocaml-polly-svn() {
"ocaml=$(_ocamlver)"
'ocaml-ctypes'
)
- provides=('llvm-ocaml')
+ provides=('llvm-ocaml', 'llvm-ocaml-svn')
conflicts=('llvm-ocaml', 'llvm-ocaml-svn')
cd "${srcdir}/build"
@@ -396,7 +397,7 @@ package_lld-polly-svn() {
"llvm-libs-polly-svn=${pkgver}-${pkgrel}"
)
groups=('llvm-toolchain-polly-svn')
- provides=('lld')
+ provides=('lld', 'lld-svn')
conflicts=('lld', 'lld-svn')
#cd "${srcdir}/build"
@@ -424,7 +425,7 @@ package_clang-polly-svn() {
'python2: git-clang-format and clang-format-diff.py support'
)
groups=('llvm-toolchain-polly-svn')
- provides=('clang')
+ provides=('clang', 'clang-svn')
conflicts=('clang', 'clang-svn')
cd "${srcdir}/build/tools/clang"
@@ -531,7 +532,7 @@ package_clang-compiler-rt-polly-svn() {
"clang-polly-svn=${pkgver}-${pkgrel}"
)
groups=('llvm-toolchain-polly-svn')
- provides=('clang-compiler-rt')
+ provides=('clang-compiler-rt', 'clang-compiler-rt-svn')
conflicts=('clang-compiler-rt', 'clang-compiler-rt-svn')
#cd "${srcdir}/build"
@@ -552,7 +553,7 @@ package_clang-tools-extra-polly-svn() {
"clang-polly-svn=${pkgver}-${pkgrel}"
)
groups=('llvm-toolchain-polly-svn')
- provides=('clang-tools-extra')
+ provides=('clang-tools-extra', 'clang-tools-extra-svn')
conflicts=('clang-tools-extra', 'clang-tools-extra-svn')
#cd "${srcdir}/build"